Summary: iSCSI daemon and utility programs
Name: iscsi
Version: 2.1.0.20
Release: 4
Source0: http://prdownloads.sourceforge.net/linux-iscsi/linux-iscsi-%{version}.tgz
Patch0: linux-iscsi-2.1.0.20-redhatify.patch
Patch1: linux-iscsi-2.1.0.20-rc.patch
Group: System Environment/Daemons
License: GPL
URL: http://linux-iscsi.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-root
Requires: kernel >= 2.4.6-2
Prereq: /sbin/chkconfig
ExcludeArch: s390 s390x

%description
The iscsi package provides the server daemon for the iSCSI protocol,
as well as the utility programs used to manage it. ISCSI is a protocol
for distributed disk access using SCSI commands sent over Internet
Protocol networks.

%prep
%setup -q -n %{name}-%{version} -c
cd linux-iscsi-%{version}
%patch0 -p1 -b .redhatify
%patch1 -p1 -b .clean

%build
cd linux-iscsi-%{version}
make daemons tools

%install
cd linux-iscsi-%{version}

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/sbin,/usr/sbin}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/{man5,man8}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -s -m 755 iscsid iscsilun iscsi-device iscsi-iname $RPM_BUILD_ROOT/sbin
# iscsigt I think is development-use-only, and the scripts
# should not be needed in a complete integration
install -s -m 755 iscsi-device $RPM_BUILD_ROOT/usr/sbin
install -m 755 iscsi-umountall $RPM_BUILD_ROOT/sbin
install -m 644 iscsid.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 644 iscsi.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5
install -m 755 rc.iscsi $RPM_BUILD_ROOT/etc/rc.d/init.d/iscsi
install -m 644 iscsi.conf $RPM_BUILD_ROOT/etc
echo 'GenerateName=yes' > initiatorname.iscsi
install -m 644 initiatorname.iscsi $RPM_BUILD_ROOT/etc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add iscsi

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del iscsi
fi


%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/iscsi
%config(noreplace) /etc/initiatorname.iscsi
%config(noreplace) /etc/iscsi.conf
%doc linux-iscsi-%{version}/README
/sbin/*
/usr/sbin/*
%{_mandir}/*/*

%changelog
* Wed Apr 10 2002 Michael K. Johnson <johnsonm@redhat.com>
- update to 2.1.0.20

* Fri Oct 26 2001 Than Ngo <than@redhat.com> 2.0.1.8-3
- cleanup startup script
- add excludearch s390 s390x

* Tue Aug 28 2001 Michael K. Johnson <johnsonm@redhat.com>
- clean up shutdown (#52440)

* Mon Aug 13 2001 Michael K. Johnson <johnsonm@redhat.com>
- update to 2.0.1.8 for draft 6 compliance

* Mon Aug 13 2001 Bob Matthews <bmatthews@redhat.com>
- fix typo in initscripts (#51585)

* Tue Jul 31 2001 Bill Nottingham <notting@redhat.com>
- fix up initscript output (#50502)

* Wed Jul 25 2001 Jeremy Katz <katzj@redhat.com>
- source /etc/init.d/functions in the initscript

* Tue Jul 24 2001 Michael K. Johnson <johnsonm@redhat.com>
- initial packaging
